Loading...
Searching...
No Matches
file_plus.c File Reference

## Macros

#define | _(String)

## Functions

void | hfsplus_file_close (HfsPPrivateFile *file)
HfsPPrivateFile * | hfsplus_file_open (PedFileSystem *fs, HfsPNodeID CNID, HfsPExtDataRec ext_desc, PedSector sect_nb)
int | hfsplus_file_read (HfsPPrivateFile *file, void *buf, PedSector sector, unsigned int nb)
int | hfsplus_file_write (HfsPPrivateFile *file, void *buf, PedSector sector, unsigned int nb)

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## Function Documentation

## hfsplus_file_close()

void hfsplus_file_close | ( | HfsPPrivateFile * | file | ) |

## hfsplus_file_open()

HfsPPrivateFile * hfsplus_file_open | ( | PedFileSystem * | fs,
|  | HfsPNodeID | CNID,
|  | HfsPExtDataRec | ext_desc,
|  | PedSector | sect_nb )

## hfsplus_file_read()

int hfsplus_file_read | ( | HfsPPrivateFile * | file,
|  | void * | buf,
|  | PedSector | sector,
|  | unsigned int | nb )

## hfsplus_file_write()

int hfsplus_file_write | ( | HfsPPrivateFile * | file,
|  | void * | buf,
|  | PedSector | sector,
|  | unsigned int | nb )